# Convertisseur best addresses

Ce dépôt convertit les données d'adresses mises à disposition dans le cadre de [Best Address](https://www.geo.be/catalog/details/ca0fd5c0-8146-11e9-9012-482ae30f98d9?l=fr) en un format csv, utilisable par le logiciel Chill.


## Liste des codes postaux

Une liste des codes postaux est générées à partir de la liste des adresses.

### Point pour chaque code postal

Un centre est calculé sur et fixé au centroide de la liste des adresses. Pour plus de rapidité, seule une adresse sur 10 est prise en compte, de manière pseudo-aléatoire sur base de l'identifiant de la ligne.

Justifications de ce filtre pour un code postal (ici, le 4610):

```
# Calcul du centre sans filtre sur le fid:
POINT(741703.97364 647537.227319)	4610

# Avec un filtre fid % 5 = 1
POINT(741669.696698 647591.04102)	4610

# Avec un filtre fid %10 = 1
POINT(741682.686228 647591.04102)	4610
```

## Liste des adresses

Les adresses retenues excluent systématiquement celles marquées comme 'retired'.

Les fichiers sont les suivants:

* `addresses-extract`: contient les 10000 premières adresses. A utiliser comme extrait;
* `addresses-full`: contient l'entièreté des adresses;
* `addresses-1xxx`: contient les adresses dont le code postal est compris entre 1000 et 1999;
* `addresses-2xxx`: contient les adresses dont le code postal est compris entre 2000 et 2999;
* `addresses-3xxx`: contient les adresses dont le code postal est compris entre 3000 et 3999;
* `addresses-4xxx`: contient les adresses dont le code postal est compris entre 4000 et 4999;
* `addresses-5xxx`: contient les adresses dont le code postal est compris entre 5000 et 5999;
* `addresses-6xxx`: contient les adresses dont le code postal est compris entre 6000 et 6999;
* `addresses-7xxx`: contient les adresses dont le code postal est compris entre 7000 et 7999;
* `addresses-8xxx`: contient les adresses dont le code postal est compris entre 8000 et 8999;
* `addresses-9xxx`: contient les adresses dont le code postal est compris entre 9000 et 9999;

## Langue

* Dans les fichiers qui comprennent `fr.csv`, les noms de rues et de municipalités sont choisies d'abord en français si elles sont présentes, ensuite en néerlandais puis en allemand.

